name: snowtodoapp
description: A new Flutter application.

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev
version: 1.0.0+1

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  string_validator: ^0.1.4
  password_strength: ^0.1.2
  firebase_remote_config: ^0.3.1
  firebase_crashlytics: ^0.1.3+3
  firebase_analytics: ^5.0.14
  path_provider: ^1.6.11
  mobx_widget: ^0.4.1
  flutter_secure_storage: ^3.3.3
  firebase_auth: ^0.16.1
  firebase_core: ^0.4.5
  flutter_modular: ^1.2.4
  cloud_firestore: ^0.13.6
  effective_dart: ^1.2.1
  hive: ^1.4.1+1
  dio: ^3.0.9
  flutter:
    sdk: flutter
  projectbasesnow:
    git: https://gitlab.com/snowman-labs/flutter-devs/project_base_snow.git
  cupertino_icons: ^0.1.3
  mobx: ^1.2.1
  flutter_mobx: ^1.1.0
  mobx_codegen: ^1.1.0
  get_it: ^4.0.2
  injectable: ^0.4.0
  google_fonts: ^1.1.0
  font_awesome_flutter: ^8.8.1
  equatable: ^1.1.1
  flutter_localizations:
    sdk: flutter
  uuid: ^2.0.4
  meta: ^1.1.8
  moor: ^3.1.0
  moor_ffi: ^0.6.0
  path: ^1.6.4


dev_dependencies:
  mockito:
  moor_generator: ^3.1.0
  injectable_generator:
  build_runner:
  flutter_test:
    sdk: flutter

flutter:
  uses-material-design: true

scripts:
  mobx:  flutter pub run build_runner build --delete-conflicting-outputs
